Package org.opensaml.saml.saml2.core.impl

# Class ConditionXSAnyAdapter

java.lang.Object
org.opensaml.core.xml.AbstractXSAnyAdapter
org.opensaml.saml.saml2.core.impl.ConditionXSAnyAdapter

All Implemented Interfaces:
  `XMLObject`, `XSAnyAdapter`, `SAMLObject`, `Condition`

public class ConditionXSAnyAdapter extends AbstractXSAnyAdapter implements Condition
Component that adapts an instance of `XSAny` to the interface `Condition`.

## Field Summary

### Fields inherited from interface org.opensaml.saml.saml2.core.Condition

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ConditionXSAnyAdapter(XSAny xsAny)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.core.xml.AbstractXSAnyAdapter

`detach, ensureDOM, getAdapted, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### ConditionXSAnyAdapter

public ConditionXSAnyAdapter(XSAny xsAny)
Constructor.

Parameters:
  `xsAny` - the adapted instance